For the complete documentation index, see llms.txt.

Address Book
GET/api/addressbook/filtered

Get Filtered Addresses

Retrieve a list of contacts that is stored in your address book. Results are sorted by specified column and returned one page at a time.

View as MarkdownCopy for LLM

Address Book

Manage address book records used when creating and shipping orders.

4 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/addressbook/filtered

Details

Retrieve a list of contacts that is stored in your address book. Results are sorted by specified column and returned one page at a time.

Request Parameters

Parameter Type Description
page (optional) integer Which page of the address book to return
page_size (optional) integer Number of records per page
sort (optional) string Sort by column. Available values: None, Name, Company, Street, Suburb, PostCode, City, State, Country, Code, Phone, Email
sort_direction (optional) string Sort direction for the sort column. Available values: None, Ascending, Descending

Get Filtered Addresses Response

Attribute Type Description
addresses object list Records for the addresses matching the supplied criteria (Address Model)
total_count integer Total number of records in the address book
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Get Addresses - Address Model

Attribute Type Description
id integer The unique numeric identifier for the address
name string Contact name at this address
company string The country name of receiver address
building string Name of the building at the address
street string Street Name and number
suburb string Suburb or locality
post_code integer Postal code
city string Town or city
state string State, region, province or county name
country string Country name
code number Internal identifier for this contact
telephone string Phone number for this contact
email boolean Email address for this contact

Response examples

Get Filtered Addresses - First 50 addresses (200)
{
    "addresses": [
        {
            "id": 6862437,
            "name": "Add Address Test",
            "company": "My Company",
            "building": "Bigg Tall Building",
            "street": "55 Bourke St",
            "suburb": "Melbourne",
            "post_code": "3000",
            "city": "Melbourne",
            "state": "VIC",
            "country": "Australia",
            "code": "111",
            "telephone": "9879879876 ",
            "email": "test@starshipit.com"
        }
    ],
    "total_count": 40,
    "success": true
}

Related endpoints